Could upstream support torch1.13.x+cu118

Hi, we want to run our training application on H100 GPUs. We have tested a simple model using torch2.0.1+cu11.8 on H100 which works fine. However, we are still in the process of upgrading torch from 1.x to 2.x. Some LLM models are still in 1.13.x. In order to train these models on H100 GPUs, we need torch1.13.x+cu118 which is not supported yet. Could torch upstream support torch1.13.x+cu118 wheels ?

We also want to upgrade to torch2.1.0+cu121 in the future, do we have a timeline for support it in a stable version, currently, there are only nightly built wheels.

Thanks !

No, we won’t rebuilt and publish already released PyTorch versions so you would need to build 1.13.x from source using CUDA 11.8.

The next release, PyTorch 2.1.0, is targeting binaries with CUDA 11.8 and 12.1.